$(function () {
	"use strict";
	$(document).ready(function () {
		$('#basic-datatables').DataTable({
			retrieve: true,
			paging: true,
			stateSave: false,
			
		});		
		$('#basic-datatables1').DataTable({
			retrieve: true,
			paging: true,
			stateSave: false,
		});
		$('#basic-datatables2').DataTable({
			retrieve: true,
			paging: true,
			stateSave: false,
		});
		$('#basic-datatabless').DataTable({
			retrieve: true,
			paging: true,
			stateSave: false,
		});
		$('#basic-datatabless33').DataTable({
            retrieve: true,
            paging: true,
            stateSave: false,
            columnDefs: [
                { orderData: [0], targets: 2 }
            ],
            order: [[2, 'desc']]
        });
		$('#basic-datatablesss').DataTable({
			retrieve: true,
			paging: true,
			stateSave: false,
		});
		$('#basic-datatableses').DataTable({
			retrieve: true,
			paging: true,
			stateSave: false,
		});
		$('#basic-datatables_res').DataTable({
			retrieve: true,
			paging: true,
			stateSave: false,
		});
		$('#basic-datatablesnew').DataTable({
			 retrieve: true,
            paging: true,
            stateSave: false,
            columnDefs: [
                { orderData: [0], targets: [5] }
            ],
            order: [[0, 'desc']]
		});

		$('#basic-datatableslink').DataTable({
		 retrieve: true,
            paging: true,
            stateSave: false,
            columnDefs: [
                { orderData: [0], targets: [3,4] }
            ],
            order: [[0, 'desc'],[0, 'desc']]
	});
	
		$('#basic-datatables_restore').DataTable({
			retrieve: true,
			paging: false,
			stateSave: false,
			info: false,
			"columnDefs": [
				{
					"orderable": false, "targets": [0] },
				],
		});
		$('#basic-datatabless4').DataTable({
            retrieve: true,
            paging: true,
            stateSave: false,
			columnDefs: [
                { orderData: [0], targets: 4 }
            ],
            order: [[4, 'desc']]
        });
	});
});